package types

/* ---------------------------------------------------------------- *
 * IMPORTS
 * ---------------------------------------------------------------- */

import (
	"github.com/akamensky/argparse"

	"ads/internal/core/utils"
)

/* ---------------------------------------------------------------- *
 * TYPES
 * ---------------------------------------------------------------- */

type CliArguments struct {
	Help       *argparse.Command
	Version    *argparse.Command
	Run        *argparse.Command
	Quiet      *bool
	Debug      *bool
	Checks     *string
	Colour     *string
	ConfigFile *string
}

/* ---------------------------------------------------------------- *
 * METHODS convert string option to boolean
 * ---------------------------------------------------------------- */

func (arguments CliArguments) QuietModeOn() bool {
	return *arguments.Quiet
}

func (arguments CliArguments) DebugModeOn() bool {
	return *arguments.Debug
}

func (arguments CliArguments) ShowChecks() bool {
	return !utils.IsFalse(*arguments.Checks)
}

func (arguments CliArguments) ShowColour() bool {
	return !utils.IsFalse(*arguments.Colour)
}

func (arguments CliArguments) GetConfigFile() string {
	return *arguments.ConfigFile
}
